<p>App Resource key/value entries are technical configuration parameters.</p>
<p>The whole "Administration" menu would be of restricted use to system administrators!</p>
<!-- div fxLayout="row wrap" fxLayoutGap="10px" fxLayout.xs="column">
  <div fxLayout="column">
    <mat-form-field>
      <mat-label>Key</mat-label>
      <label>
        <input matInput #arcKey>
      </label>
    </mat-form-field>
  </div>
  <div fxLayout="column">
    <mat-form-field>
      <mat-label>Value</mat-label>
      <label>
        <input matInput #arcValue>
      </label>
    </mat-form-field>
  </div>
  <div fxLayout="column">
    <mat-form-field>
      <mat-label>Help</mat-label>
      <label>
        <input matInput #arcHelp>
      </label>
    </mat-form-field>
  </div>
  <div fxLayout="column">
    <button mat-raised-button
            class="add"
            color="primary"
            (click)="add(arcKey.value, arcValue.value, arcHelp.value); arcKey.value=''; arcValue.value=''; arcHelp.value=''"
    >
      add
    </button>
  </div>
</div -->

<table mat-table [dataSource]="arcCollection" class="mat-elevation-z8">
  <!-- key Column -->
  <ng-container matColumnDef="key">
    <th mat-header-cell *matHeaderCellDef>Key</th>
    <td mat-cell *matCellDef="let element"> {{element.key}}</td>
  </ng-container>

  <!-- value Column -->
  <ng-container matColumnDef="value">
    <th mat-header-cell *matHeaderCellDef>Value</th>
    <td mat-cell *matCellDef="let element"> {{element.value}}</td>
  </ng-container>

  <!-- help Column -->
  <ng-container matColumnDef="help">
    <th mat-header-cell *matHeaderCellDef>Help</th>
    <td mat-cell *matCellDef="let element"> {{element.help}}
      <!-- a routerLink="/appresource/{{element?.id}}" fxFlex="fill">
        <span class="badge">{{element?.id}}</span>
        {{element?.key}}
        {{element?.locale?.code || 'null'}}
        {{element?.value}}
      </a>
    <button class="delete" title="delete AppResource" (click)="delete(element)">x</button -->
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

</table>